QGIS Application - Bug report #5718

OpenStreetMap plugin corrupts Unicode characters when uploading to the server

2012-06-02 08:22 AM - Leyan Ouyang

Status: Closed
Priority: Normal
Assignee: Martin Dobias
Category: Python plugins

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: invalid

Copied to github as #: 15236

Description

| used the OpenStreetMap plugin to change some streets name in China. | was able to type the characters without issues and upload the

data, but when | went to check on the website, the result was only lines of "??7" :

http://www.openstreetmap.org/browse/changeset/11776889

After investigation, it is caused by the conversion of the prepared XML diff to ASCII before sending it, in

python/plugins/osm/OsmUploadDlg.py:
requestBytes = requestXml.toAscii()
httpSessionld = self.http.request(header, requestBytes)

This is done for each of the 9 different processes.

| just tried with a toUtf8() and it seemed to work (http://www.openstreetmap.org/browse/changeset/11777700, you can see the

"created_by = QGIS OSM v0.5" and the correct name of the street modified), but | am no expert in this. Everything before this last step

seems to be prepared for utf8, so is there any special reason to convert to ASCII before sending ?

I think it is high priority as right now it is sending corrupted data silently to the OpenStreetMap server.

History

#1 - 2012-06-16 01:50 AM - Marco Hugentobler
- Pull Request or Patch supplied changed from No to Yes

#2 - 2012-06-16 01:51 AM - Marco Hugentobler
- Assignee set to Martin Dobias

#3 - 2012-09-04 12:09 PM - Paolo Cavallini
- Target version set to Version 2.0.0

#4 - 2012-12-30 09:51 AM - Giovanni Manghi
- Priority changed from High to Normal

#5 - 2013-03-11 06:25 AM - Alexander Bruy
- Resolution set to invalid
- Status changed from Open to Closed

Seems this can be closed, because OSM plugin removed from master
